return {
	{
		'simrat39/inlay-hints.nvim',
	},
	{
		'nvim-telescope/telescope-ui-select.nvim'
	},
	{
		"akinsho/bufferline.nvim",
	},
	{
		"onsails/lspkind.nvim"
	},
	{
		"lewis6991/gitsigns.nvim"
	},
	{
		"lewis6991/hover.nvim",
	},
	{
		"nvim-lualine/lualine.nvim",
	},
	{
		"windwp/nvim-autopairs",
	},
	{
		'kevinhwang91/promise-async',
	},
	{
		'theHamsta/nvim-dap-virtual-text',
	},
	{
		"hrsh7th/cmp-nvim-lsp",
	},
	{
		"kyazdani42/nvim-web-devicons"
	},
	{
		'NvChad/nvim-colorizer.lua',
	},
	{
		'numToStr/Comment.nvim'
	},
	{
		"nvim-treesitter/nvim-treesitter",
	},
	{
		"vague2k/huez.nvim",
	},
	{
		"nvim-telescope/telescope.nvim",
	},
	{
		"williamboman/mason-lspconfig.nvim",
	},
	{
		"neovim/nvim-lspconfig",
	},
	{
		"mfussenegger/nvim-dap",
		event = "VeryLazy",
	},
	{
		"L3MON4D3/LuaSnip",
		lazy = true,
	},
	{
		'folke/lazydev.nvim',
		ft = "lua",
	},
	{
		"folke/noice.nvim",
		event = "VeryLazy",
		dependencies = {
			-- if you lazy-load any plugin below, make sure to add proper `module="..."` entries
			"MunifTanjim/nui.nvim",
		}
	},
	{
		"nvim-neo-tree/neo-tree.nvim",
		branch = "v2.x",
		dependencies = {
			"nvim-lua/plenary.nvim",
			"nvim-tree/nvim-web-devicons",
			"MunifTanjim/nui.nvim",
		},
	},
	{
		"williamboman/mason.nvim",
		opts = {
			ensure_installed = {
				"eslint-lsp",
				"js-debug-adapter",
				"prettier",
				"tinymist",
				"typescript-language-server",
			}
		}
	},
	{
		"rcarriga/nvim-dap-ui",
		dependencies = {
			"nvim-neotest/nvim-nio",
			"mfussenegger/nvim-dap",
		},
		event = "VeryLazy",
		config = function()
			require("dapui").setup()
		end
	},
	{
		"hrsh7th/nvim-cmp",
		event = "InsertEnter",
		dependencies = {
			{
				"L3MON4D3/LuaSnip",
				dependencies = "rafamadriz/friendly-snippets",
				opts = { history = true, updateevents = "TextChanged,TextChangedI" },
				config = function(_, opts)
					require("luasnip").config.set_config(opts)
					require "config.plugins.luasnip"
				end,
			},
			{
				"saadparwaiz1/cmp_luasnip",
				"hrsh7th/cmp-nvim-lua",
				"hrsh7th/cmp-nvim-lsp",
				"hrsh7th/cmp-buffer",
				"hrsh7th/cmp-path",
			},
		},
	},
}
